## ros-melodic-dataspeed-can-tools 1.0.16

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

find_package(roslib REQUIRED)
find_package(rostest REQUIRED)

catkin_add_gtest(test_signal test_signal.cpp)
target_link_libraries(test_signal ${PROJECT_NAME})

catkin_add_gtest(test_message test_message.cpp)
target_link_libraries(test_message ${PROJECT_NAME})

catkin_add_gtest(test_iterator test_iterator.cpp)
target_link_libraries(test_iterator ${PROJECT_NAME})

add_rostest_gtest(test_full test_full.test test_full.cpp)
target_link_libraries(test_full ${PROJECT_NAME})

=== debian/changelog ===
ros-melodic-dataspeed-can-tools (1.0.16-1stretch) stretch; urgency=high

  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Fix processing bags with DBC files for extended CAN IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 07 Jul 2020 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.15-1stretch) stretch; urgency=high

  * Use %zu for portable printf() size type
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.14-1stretch) stretch; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 16 Jan 2020 05:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.13-1stretch) stretch; urgency=high

  * Added advance compiler error checking and fixed newly exposed errors
  * Contributors: Kevin Hallenbeck, Lincoln Lorenz

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 08 Jan 2019 05:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.12-1stretch) stretch; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 19 Dec 2018 05:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.11-1stretch) stretch; urgency=high

  * Added support for multiple DBC files
  * Added support for multiplexed signals
  * Many changes to the command line arguments
  * Fixed bug with signals greater than 31 bits
  * Set CXX_STANDARD to C++11 when necessary
  * Contributors: Kevin Hallenbeck, Eric Myllyoja

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 06 Sep 2018 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.10-1stretch) stretch; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 13 Jun 2018 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.9-1stretch) stretch; urgency=high

  * Preliminary support for extended IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 12 Jun 2018 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.8-1stretch) stretch; urgency=high

  * Added timestamp
  * Added option to expand dbc signals or not
  * Handle messages not defined in the dbc file
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 09 Apr 2018 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.7-1stretch) stretch; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 19 Oct 2017 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.6-1stretch) stretch; urgency=high

  * Migrated from dataspeed_can_msgs to can_msgs (this will break dependent packages)
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.5-1stretch) stretch; urgency=high

  * Updated nodelets to the PLUGINLIB_EXPORT_CLASS macro
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 21 Aug 2017 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.4-1stretch) stretch; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 08 May 2017 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.3-1stretch) stretch; urgency=high

  * Updated package.xml format to version 2
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 25 Apr 2017 04:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.2-1stretch) stretch; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 24 Jan 2017 05:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.1-1stretch) stretch; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 17 Nov 2016 05:00:00 -0000

ros-melodic-dataspeed-can-tools (1.0.0-1stretch) stretch; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 28 Sep 2016 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-dataspeed-can-tools
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-melodic-dataspeed-can-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-std-msgs
Description: CAN bus introspection
